// ObserverSwarm.h

#import "ModelSwarm.h"

#import <objectbase.h>
#import <space.h>
#import <space/Object2dDisplay.h>
#import <activity.h>
#import <collections.h>

#import <simtools.h>
#import <simtoolsgui.h>
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>

@interface ObserverSwarm : GUISwarm {
  int displayFrequency;                      

  id displayActions;                              
  id displaySchedule;

  ModelSwarm *modelSwarm;

  id <Colormap> colormap;
  id <ZoomRaster> bankRaster;
  id <EZGraph> averGin;
  id <EZGraph> averIR;
  id <EZGraph> propSTA;
  // id <Object2dDisplay> bankDisplay;
}

+createBegin: aZone;
-createEnd;
-buildObjects;
// -updateHisto;
-buildActions;
-(id <Activity>)activateIn: swarmContext;

-graphBank: aBank;

@end

